FilterConfig (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.web.filters
[Groovy] Class FilterConfig

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.api.CommonWebApi
          org.codehaus.groovy.grails.plugins.web.api.ControllersApi
              org.codehaus.groovy.grails.plugins.web.filters.FilterConfig

    class FilterConfig
    extends ControllersApi

Authors:
  mike
  Graeme Rocher

Field Summary

Fields inherited from class ControllersApi
BIND_DATA_METHOD, RENDER_METHOD_NAME, SLASH, forwardMethod, redirect, render, withFormMethod

Fields inherited from class CommonWebApi
RAW_CODEC_NAME

Property Summary
`groovy.lang.Closure` | `after`
`groovy.lang.Closure` | `afterView`
`groovy.lang.Closure` | `before`
`java.lang.Object` | `errors` Redirects attempt to access an 'errors' property, so we provide one here with a null value.
`java.lang.Object` | `filtersDefinition` This is the filters definition bean that declared the filter config.
`boolean` | `initialised`
`org.springframework.web.servlet.ModelAndView` | `modelAndView`
`java.lang.String` | `name`
`java.util.Map` | `scope`

Constructor Summary
`FilterConfig()`

Method Summary
`java.lang.Object` | `bindData(java.lang.Object target, java.lang.Object args)`
`java.lang.Object` | `bindData(java.lang.Object target, java.lang.Object args, java.util.List disallowed)`
`java.lang.Object` | `bindData(java.lang.Object target, java.lang.Object args, java.util.List disallowed, java.lang.String filter)`
`java.lang.Object` | `bindData(java.lang.Object target, java.lang.Object args, java.util.Map includeExclude)`
`java.lang.Object` | `bindData(java.lang.Object target, java.lang.Object args, java.util.Map includeExclude, java.lang.String filter)`
`java.lang.Object` | `bindData(java.lang.Object target, java.lang.Object args, java.lang.String filter)`
`java.lang.Object` | `chain(java.util.Map args)`
`java.lang.String` | `forward(java.util.Map params)`
`java.lang.String` | `getActionName()`
`java.lang.String` | `getActionUri()`
`org.springframework.context.ApplicationContext` | `getApplicationContext()`
`java.util.Map` | `getChainModel()`
`java.lang.String` | `getControllerName()`
`java.lang.String` | `getControllerUri()`
`org.springframework.validation.Errors` | `getErrors()`
`FlashScope` | `getFlash()`
`GrailsApplication` | `getGrailsApplication()`
`GrailsApplicationAttributes` | `getGrailsAttributes()`
`GrailsParameterMap` | `getParams()`
`java.lang.String` | `getPluginContextPath()`
`javax.servlet.http.HttpServletRequest` | `getRequest()`
`javax.servlet.http.HttpServletResponse` | `getResponse()`
`javax.servlet.ServletContext` | `getServletContext()`
`javax.servlet.http.HttpSession` | `getSession()`
`java.lang.String` | `getTemplateUri(java.lang.String name)`
`java.lang.String` | `getViewUri(java.lang.String name)`
`GrailsWebRequest` | `getWebRequest()`
`java.lang.Object` | `getWiredFiltersDefinition()`
`boolean` | `hasErrors()`
`void` | `header(java.lang.String headerName, java.lang.Object headerValue)`
`void` | `initializeMetaClass()`
`java.lang.Object` | `methodMissing(java.lang.String methodName, java.lang.Object args)` When the filter does not have a particular method, it passes the call on to the filter definition class.
`java.lang.Object` | `propertyMissing(java.lang.String propertyName)` When the filter does not have a particular property, it passes the request on to the filter definition class.
`java.lang.Object` | `redirect(java.util.Map args)`
`java.lang.Object` | `render(java.lang.Object o)`
`java.lang.Object` | `render(java.lang.String txt)`
`java.lang.Object` | `render(java.util.Map args)`
`java.lang.Object` | `render(groovy.lang.Closure c)`
`java.lang.Object` | `render(java.util.Map args, groovy.lang.Closure c)`
`void` | `setErrors(org.springframework.validation.Errors errors)`
`java.lang.String` | `toString()`
`java.lang.Object` | `withForm(groovy.lang.Closure callable)`

Methods inherited from class ControllersApi
bindData, bindData, bindData, bindData, bindData, bindData, bindData, bindData, chain, forward, getActionUri, getChainModel, getControllerUri, getErrors, getExceptionHandlerMethodFor, getModelAndView, getStaticApplicationContext, getTemplateUri, getViewUri, hasErrors, header, initialize, initializeCommandObject, invokeRender, redirect, redirect, render, render, render, render, render, setErrors, setGspEncoding, setLinkGenerator, setModelAndView, setRedirectListeners, setUseJessionId, withForm

Methods inherited from class CommonWebApi
currentRequestAttributes, getActionName, getApplicationContext, getControllerName, getFlash, getGrailsApplication, getGrailsAttributes, getParams, getPluginContextPath, getRequest, getResponse, getServletContext, getSession, getWebRequest, raw, setApplicationContext, setGrailsApplication, setServletContext

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### after

    groovy.lang.Closure after

### afterView

    groovy.lang.Closure afterView

### before

    groovy.lang.Closure before

### errors

    java.lang.Object errors

  Redirects attempt to access an 'errors' property, so we provide one here with a null value.

### filtersDefinition

    java.lang.Object filtersDefinition

  This is the filters definition bean that declared the filter config. Since it may contain injected services, etc., we delegate any missing properties or methods to it.

### initialised

    boolean initialised

### modelAndView

    org.springframework.web.servlet.ModelAndView modelAndView

### name

    java.lang.String name

### scope

    java.util.Map scope

Constructor Detail

### FilterConfig

    FilterConfig()

Method Detail

### bindData

    java.lang.Object bindData(java.lang.Object target, java.lang.Object args)

### bindData

    java.lang.Object bindData(java.lang.Object target, java.lang.Object args, java.util.List disallowed)

### bindData

    java.lang.Object bindData(java.lang.Object target, java.lang.Object args, java.util.List disallowed, java.lang.String filter)

### bindData

    java.lang.Object bindData(java.lang.Object target, java.lang.Object args, java.util.Map includeExclude)

### bindData

    java.lang.Object bindData(java.lang.Object target, java.lang.Object args, java.util.Map includeExclude, java.lang.String filter)

### bindData

    java.lang.Object bindData(java.lang.Object target, java.lang.Object args, java.lang.String filter)

### chain

    java.lang.Object chain(java.util.Map args)

### forward

    java.lang.String forward(java.util.Map params)

### getActionName

    java.lang.String getActionName()

### getActionUri

    java.lang.String getActionUri()

### getApplicationContext

    org.springframework.context.ApplicationContext getApplicationContext()

### getChainModel

    java.util.Map getChainModel()

### getControllerName

    java.lang.String getControllerName()

### getControllerUri

    java.lang.String getControllerUri()

### getErrors

    org.springframework.validation.Errors getErrors()

### getFlash

    FlashScope getFlash()

### getGrailsApplication

    GrailsApplication getGrailsApplication()

### getGrailsAttributes

    GrailsApplicationAttributes getGrailsAttributes()

### getParams

    GrailsParameterMap getParams()

### getPluginContextPath

    java.lang.String getPluginContextPath()

### getRequest

    javax.servlet.http.HttpServletRequest getRequest()

### getResponse

    javax.servlet.http.HttpServletResponse getResponse()

### getServletContext

    javax.servlet.ServletContext getServletContext()

### getSession

    javax.servlet.http.HttpSession getSession()

### getTemplateUri

    java.lang.String getTemplateUri(java.lang.String name)

### getViewUri

    java.lang.String getViewUri(java.lang.String name)

### getWebRequest

    GrailsWebRequest getWebRequest()

### getWiredFiltersDefinition

    java.lang.Object getWiredFiltersDefinition()

### hasErrors

    boolean hasErrors()

### header

    void header(java.lang.String headerName, java.lang.Object headerValue)

### initializeMetaClass

    void initializeMetaClass()

### methodMissing

    java.lang.Object methodMissing(java.lang.String methodName, java.lang.Object args)

  When the filter does not have a particular method, it passes the call on to the filter definition class.

### propertyMissing

    java.lang.Object propertyMissing(java.lang.String propertyName)

  When the filter does not have a particular property, it passes the request on to the filter definition class.

### redirect

    java.lang.Object redirect(java.util.Map args)

### render

    java.lang.Object render(java.lang.Object o)

### render

    java.lang.Object render(java.lang.String txt)

### render

    java.lang.Object render(java.util.Map args)

### render

    java.lang.Object render(groovy.lang.Closure c)

### render

    java.lang.Object render(java.util.Map args, groovy.lang.Closure c)

### setErrors

    void setErrors(org.springframework.validation.Errors errors)

### toString

    java.lang.String toString()

### withForm

    java.lang.Object withForm(groovy.lang.Closure callable)

Groovy Documentation